Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.expression
Class ExpressionAdapter

    java.lang.Object
      |
      +--com.bea.p13n.content.expression.ExpressionAdapter

public class ExpressionAdapter
extends Object

Class which can adapt between old com.beasys.commerce.foundation.expression and new com.bea.p13n.expression.Expressions, specifically for content.

This will be removed when the com.beasys.commerce.foundation.expression.Expressions are removed.

Constructor Summary
`ExpressionAdapter()` Deprecated.

Method Summary
`static Expression` | `createBranchExpression(String logicalComparator)` Deprecated. Create the appropriate new branch Expression from the given information.
`static Expression` | `createLeafExpression(String propertySet, String propertyName, String comparator, Object literal)` Deprecated. Create the appropriate new leaf Expression from the given information.
`static String` | `getComparator(Expression expr)` Deprecated. Get the TypesHelper comparator constant for the specified leaf node.
`static String` | `getLogicalComparator(Expression expr)` Deprecated. Get the TypesHelper logical comparator constant for the specified branch node.
`static Expression` | `toExpression(Expression orig)` Deprecated. Convert from old expression to new expression.
`static Expression` | `toExpression(Expression orig)` Deprecated. Convert from new expression to old expression.
`static Search` | `toSearch(Search orig)` Deprecated. Convert an old Search to a new Search (including the contained expression).
`static Search` | `toSearch(Search orig)` Deprecated. Convert an new Search to an old Search (including the contained expression).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionAdapter

    public ExpressionAdapter()

  Deprecated.

Method Detail

### toExpression

    public static Expression toExpression(Expression orig)
                                   throws IllegalArgumentException

  Deprecated.
  Convert from old expression to new expression.

  Throws:
    `IllegalArgumentException` - thrown if the incoming expression is invalid.

### createLeafExpression

    public static Expression createLeafExpression(String propertySet,
                                                  String propertyName,
                                                  String comparator,
                                                  Object literal)
                                           throws IllegalArgumentException

  Deprecated.
  Create the appropriate new leaf Expression from the given information.

  Parameters:
    `propertySet` - the propertySet name (can be null).
    `propertyName` - the propertyName.
    `comparator` - the TypesHelper comparator constant.
    `literal` - the rhs literal value.
  Throws:
    `IllegalArgumentException` - thrown if comparator is invalid.

### createBranchExpression

    public static Expression createBranchExpression(String logicalComparator)
                                             throws IllegalArgumentException

  Deprecated.
  Create the appropriate new branch Expression from the given information.

  Parameters:
    `logicalComparator` - the TypesHelper comparator constant (AND or OR).
  Throws:
    `IllegalArgumentException` - thrown if logicalComparator is invalid.

### toExpression

    public static Expression toExpression(Expression orig)
                                   throws IllegalArgumentException

  Deprecated.
  Convert from new expression to old expression.

  Throws:
    `IllegalArgumentException` - thrown if the incoming expression is invalid.

### getComparator

    public static String getComparator(Expression expr)
                                throws IllegalArgumentException

  Deprecated.
  Get the TypesHelper comparator constant for the specified leaf node.

  Throws:
    `IllegalArgumentException` - thrown if expr is not a leaf node.

### getLogicalComparator

    public static String getLogicalComparator(Expression expr)

  Deprecated.
  Get the TypesHelper logical comparator constant for the specified branch node.

  Throws:
    `IllegalArgumentException` - thrown if expr is not a branch node.

### toSearch

    public static Search toSearch(Search orig)
                           throws IllegalArgumentException

  Deprecated.
  Convert an old Search to a new Search (including the contained expression).

  Throws:
    `IllegalArgumentException` - thrown if the incoming expression is invalid.

### toSearch

    public static Search toSearch(Search orig)
                           throws IllegalArgumentException

  Deprecated.
  Convert an new Search to an old Search (including the contained expression).

  Throws:
    `IllegalArgumentException` - thrown if the incoming expression is invalid.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved